Package org.eclipse.cdt.core.dom.ast.gnu

# Interface IGNUASTCompoundStatementExpression

All Superinterfaces:
  `IASTExpression`, `IASTInitializerClause`, `IASTNode`

public interface IGNUASTCompoundStatementExpression extends IASTExpression
There are GNU language extensions that apply to both GCC and G++. Compound statement's as expressions.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`IASTExpression.ValueCategory`

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`STATEMENT`
`STATEMENT` describes the relationship between `IGNUASTCompoundStatementExpression` and `IASTCompoundStatement`.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`EMPTY_EXPRESSION_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IGNUASTCompoundStatementExpression`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`IGNUASTCompoundStatementExpression`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`IASTCompoundStatement`
`getCompoundStatement()`
Get the compound statement.
`void`
`setCompoundStatement(IASTCompoundStatement statement)`
Set the compound statement.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTExpression

`getExpressionType, getValueCategory, isLValue`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### STATEMENT

static final ASTNodeProperty STATEMENT
`STATEMENT` describes the relationship between `IGNUASTCompoundStatementExpression` and `IASTCompoundStatement`.

## Method Details

### getCompoundStatement

IASTCompoundStatement getCompoundStatement()
Get the compound statement.

Returns:
  `IASTCompoundStatement`

### setCompoundStatement

void setCompoundStatement(IASTCompoundStatement statement)
Set the compound statement.

Parameters:
  `statement` - `IASTCompoundStatement`

### copy

IGNUASTCompoundStatementExpression copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

IGNUASTCompoundStatementExpression copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTExpression`
Specified by:
  `copy` in interface `IASTInitializerClause`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3